@ECHO OFF
rem    Ŀ
rem     This sample Batch file was created to help new Sysops out.    
rem     This file is made for use with Proboard, Intermail, Squish,           
rem     BGFAX, THDPRO, McFram File Requester, ALLFIX, AMU,            
rem       and NU - Nodelist Updater. All mentioned programs are       
rem     Copyrighted material. Mike Howard nor The Peek Hole BBS are   
rem     affiliated with any of these companies or there products.     
rem     I strongly suggest registering any of these products with     
rem     there authors.                                                
rem    

echo                 Ŀ
echo                  Created by Mike Howard of  
echo                      The Peek Hole BBS      
echo                 (615)758-4288 Fido 1:116/145
echo                 ٰ
echo

:BEGIN

       D:
       SET IM=D:\IM
       CD\IM
       IM %1 %2 %3 %4 %5

rem       Ŀ
rem        Now we will set up all of our errorlevels. You should  
rem        check your errorlevels in Intermail setup and make sure
rem        that yours are correct. Edit to suit your needs.       
rem       

        if errorlevel 255 goto FAX
        if errorlevel 240 goto FCON
        if errorlevel 220 goto LOCAL
        if errorlevel 200 goto MAILRECV
        if errorlevel 180 goto FRAG
        if errorlevel 175 goto MAINT
        if errorlevel 165 goto NU
        if errorlevel 50 goto END
        if errorlevel 49 goto DOBBS
        if errorlevel 10 goto END
        if errorlevel 8 goto IMLOADED
        if errorlevel 6 goto NOFOSSIL
        if errorlevel 5 goto INITMODEM
        if errorlevel 3 goto DISKFULL
        if errorlevel 1 goto FATAL

rem   Ŀ
rem    This passes the caller on to DOBBS.BAT that Intermail Makes. 
rem   
                                                                       
:DOBBS                                                                
   CD\IM
   DOBBS.BAT

rem   Ŀ
rem     This is for my local logons. I set up a key to press and     
rem     boom! I'm on the BBS, and if I enter Mail, it will scan it.  
rem    
       
:LOCAL

   cd\pb\node1
   proboard -N1
     if errorlevel 5 goto MAILSEND
     if errorlevel 4 goto MAILSEND
     if errorlevel 3 goto MAILSEND
     if errorlevel 2 goto MAILSEND
     if errorlevel 1 goto FATAL
     if errorlevel 0 goto BEGIN
   goto BEGIN

rem   Ŀ
rem    Both FAX and FCON are for FAX calls. Remmember in IMSETUP not   
rem    to put the errorlevel in "EXIT", put it in "TERMINATE".         
rem   

:FAX
bnu /u
c:
cd\bgfax
bgfax /fax c:\bgfax 4 z
d:
goto BEGIN

:FCON
bnu /u
c:
cd\bgfax
bgfax /fast c:\bgfax 4 z
goto BEGIN

rem     Ŀ
rem      Sending mail can be done once a night, or as I do here,   
rem      after every call that a message has been posted locally.  
rem      I have the same thing in EXEBBS.BAT for remote callers.   
rem     

:MAILSEND

       CD\SQUISH                                                                 
       SQUISH OUT SQUASH
       goto BEGIN
rem     Ŀ 
rem       This is were Intermail will exit after mail recived and     
rem       have Squish do it's thing.                                  
rem      

:MAILRECV

      CD\SQUISH
      SQUISH IN -Z
      goto BEGIN
rem    Ŀ
rem     This is the daily maint area. This will be where you will want 
rem     to put all of your Nightly run maint. I run quite a bit. See   
rem     the Docs for details.                                          
rem    

:MAINT
  cd\thdpro
  thdterm
  cd\amu
  amu
  GOTO BEGIN

rem     Ŀ
rem        Since it is a good idea to run DEFRAG once and a while,    
rem        I have set it up as a once a week event. You may not       
rem        want to do it this often, I run a lot of mail and files    
rem        through my BBS and feel it safe. (FRAG is a Batch file).   
rem     

:FRAG

   C:
   CD\
   FRAG
rem     Ŀ  
rem      Next is NU, this is my nodelist updater (nodiff). Since my   
rem      nodediff comes every Friday, I run this as an event for Sat  
rem      Morning (03:00).  See doc for details (nu.bat)               
rem     

:NU

   CD\IM
   CALL NU.BAT
   GOTO BEGIN

rem           Ŀ
rem            Next are From standard errorlevels to exit with. 
rem           

:IMLOADED
  echo IM loaded on top of itself, exiting.
  goto END
:NOFOSSIL
  echo Fossil not loaded
  goto END
:INITMODEM
  echo Cannot initalize modem
  goto END
:DISKFULL
  echo Less than 32K of disk space free, Exiting!
  goto END
:FATAL
  echo A fatal error has occured, exiting
  goto END
:END
